## libtgvoip 2.4.4+git20210101.13a5fcb+ds-2+10.0trisquel3

=== CMakeLists.txt ===
# This file was written from scratch by Nicholas Guriev for libtgvoip package in Debian.
# You may use this code as you wish under the terms of UNLICENSE, see https://unlicense.org/

cmake_minimum_required(VERSION 3.16)
project(libtgvoip)
include(GNUInstallDirs)
set(DESKTOP_APP_USE_PACKAGED TRUE)

include(cmake/validate_special_target.cmake)
include(cmake/init_target.cmake)
include(cmake/nice_target_sources.cmake)
include(cmake/options.cmake)
add_subdirectory(cmake/external/opus)
add_subdirectory(cmake/external/webrtc)

set(DESKTOP_APP_USE_PACKAGED FALSE)
set(TGVOIP_FOUND FALSE)
set(tgvoip_loc "${CMAKE_SOURCE_DIR}")
include(lib_tgvoip.cmake)
set_target_properties(lib_tgvoip_bundled PROPERTIES OUTPUT_NAME tgvoip PUBLIC_HEADER TgVoip.h)
install(TARGETS lib_tgvoip_bundled PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/tgvoip")

set(LIBTGVOIP_VERSION 2.4.4)
configure_file(tgvoip.pc.in tgvoip.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tgvoip.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== cmake/external/opus/CMakeLists.txt ===
# This file is part of Desktop App Toolkit,
# a set of libraries for developing nice desktop applications.
#
# For license and copyright information please follow this link:
# https://github.com/desktop-app/legal/blob/master/LEGAL
#
# Copied from https://github.com/desktop-app/cmake_helpers/raw/master/external/opus/CMakeLists.txt

if (DESKTOP_APP_USE_PACKAGED)
    add_library(external_opus INTERFACE IMPORTED GLOBAL)
    add_library(desktop-app::external_opus ALIAS external_opus)

    find_package(PkgConfig REQUIRED)
    pkg_check_modules(OPUS IMPORTED_TARGET opus)

    target_link_libraries(external_opus INTERFACE PkgConfig::OPUS)
else()
    add_library(external_opus STATIC IMPORTED GLOBAL)
    add_library(desktop-app::external_opus ALIAS external_opus)

    if (WIN32)
        target_include_directories(external_opus
        INTERFACE
            ${libs_loc}/opus/include
        )
        if (build_win64)
            set(opus_config_folder x64)
        else()
            set(opus_config_folder Win32)
        endif()
        set(opus_lib_loc ${libs_loc}/opus/win32/VS2015/${opus_config_folder})
        set_target_properties(external_opus PROPERTIES
            IMPORTED_LOCATION "${opus_lib_loc}/Release/opus.lib"
            IMPORTED_LOCATION_DEBUG "${opus_lib_loc}/Debug/opus.lib"
        )
    elseif (APPLE AND NOT build_osx)
        target_include_directories(external_opus
        INTERFACE
            /usr/local/macos/include/opus
        )
        set_target_properties(external_opus PROPERTIES
            IMPORTED_LOCATION /usr/local/macos/lib/libopus.a
        )
    elseif (APPLE)
        target_include_directories(external_opus
        INTERFACE
            /usr/local/include/opus
        )
        set_target_properties(external_opus PROPERTIES
            IMPORTED_LOCATION /usr/local/lib/libopus.a
        )
    else()
        target_include_directories(external_opus
        INTERFACE
            /usr/local/include/opus
        )
        find_library(OPUS_LIBRARY libopus.a)
        set_target_properties(external_opus PROPERTIES
            IMPORTED_LOCATION "${OPUS_LIBRARY}"
        )
    endif()
endif()

=== cmake/external/webrtc/CMakeLists.txt ===
# This file is part of Desktop App Toolkit,
# a set of libraries for developing nice desktop applications.
#
# For license and copyright information please follow this link:
# https://github.com/desktop-app/legal/blob/master/LEGAL
#
# Copied from https://github.com/desktop-app/cmake_helpers/raw/master/external/webrtc/CMakeLists.txt

add_library(external_webrtc INTERFACE IMPORTED GLOBAL)
add_library(desktop-app::external_webrtc ALIAS external_webrtc)

if (DESKTOP_APP_USE_PACKAGED)
    find_package(tg_owt REQUIRED)
    target_link_libraries(external_webrtc INTERFACE tg_owt::tg_owt)
else()
    set(webrtc_loc ${libs_loc}/tg_owt/src)
    set(webrtc_build_loc ${libs_loc}/tg_owt/out/$<CONFIG>)

    target_compile_definitions(external_webrtc
    INTERFACE
        WEBRTC_ENABLE_PROTOBUF=0
        WEBRTC_INCLUDE_INTERNAL_AUDIO_DEVICE
        RTC_ENABLE_VP9
        HAVE_SCTP
        WEBRTC_USE_H264
        WEBRTC_LIBRARY_IMPL
        WEBRTC_NON_STATIC_TRACE_EVENT_HANDLERS=1
        ABSL_ALLOCATOR_NOTHROW=1
    )

    if (WIN32)
        set(webrtc_lib_prefix "")
        set(webrtc_lib_suffix .lib)

        target_compile_definitions(external_webrtc
        INTERFACE
            WEBRTC_WIN
        )
    else()
        set(webrtc_lib_prefix lib)
        set(webrtc_lib_suffix .a)

        if (APPLE)
            target_compile_definitions(external_webrtc
            INTERFACE
                WEBRTC_MAC
            )
        else()
            target_compile_definitions(external_webrtc
            INTERFACE
                WEBRTC_LINUX
            )
        endif()

        target_compile_definitions(external_webrtc
        INTERFACE
            WEBRTC_POSIX
        )
    endif()

    target_include_directories(external_webrtc
    INTERFACE
        ${webrtc_loc}
        ${webrtc_loc}/third_party/abseil-cpp
    )

    set(webrtc_libs
        ${webrtc_lib_prefix}tg_owt
    )
    if (APPLE)
        target_include_directories(external_webrtc
        INTERFACE
            ${webrtc_loc}/sdk/objc
            ${webrtc_loc}/sdk/objc/base
            ${webrtc_loc}/sdk/objc/components/video_codec
            ${webrtc_loc}/third_party/libyuv/include
        )
    endif()
    foreach (lib ${webrtc_libs})
        list(APPEND webrtc_libs_list "${webrtc_build_loc}/${lib}${webrtc_lib_suffix}")
    endforeach()

    if (WIN32)
        target_link_libraries(external_webrtc
        INTERFACE
            Secur32.lib # Required for rtc_base/http_common.cc
            dmoguids.lib # Required for the built-in WASAPI AEC, see modules/audio_device/BUILD.gn
            wmcodecdspuuid.lib
            amstrmid.lib
            msdmo.lib
        )
    elseif (APPLE)
        target_link_libraries(external_webrtc
        INTERFACE
            -ObjC
        )
    endif()

    target_link_libraries(external_webrtc
    INTERFACE
        ${webrtc_libs_list}
        desktop-app::external_openssl
        desktop-app::external_jpeg
        desktop-app::external_opus
    )
endif()

## libtgvoip 1.0~git20170704.445433f

=== debian/changelog ===
libtgvoip (1.0~git20170704.445433f-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 24 Sep 2017 14:24:42 +0300

libtgvoip (1.0~git20170704.445433f-4) unstable; urgency=medium

  * Avoid unconditional using MAXPATHLEN macro for build on GNU/Hurd
  * Bump Standards-Version, no changes

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 17 Sep 2017 20:57:54 +0300

libtgvoip (1.0~git20170704.445433f-3) unstable; urgency=medium

  * Add a patch to fix FTBFS on GNU/Hurd (closes: #870412)
  * Remove the libssl1.0-dev build dependency (closes: #870778)
    - No modifications for this

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 17 Aug 2017 22:54:05 +0300

libtgvoip (1.0~git20170704.445433f-2) unstable; urgency=medium

  * Add a patch to fix FTBFS on GNU/kFreeBSD (closes: #863116)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 30 Jul 2017 11:12:23 +0300

libtgvoip (1.0~git20170704.445433f-1) unstable; urgency=medium

  * Update to the latest commit; new soname
  * Bump Standards-Version
  * Add patch to fix FTBFS with OpenSSL 1.1

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 04 Jul 2017 23:28:15 +0300

libtgvoip (0.4.1~git20170517.2ed5a50-1) unstable; urgency=low

  * Initial upload (closes: #862582)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 17 May 2017 17:06:45 +0300

=== debian/control ===
Source: libtgvoip
Priority: optional
Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
Build-Depends:
 cmake (>=2.8.8),
 debhelper (>=10),
 gyp,
 libasound2-dev,
 libopus-dev,
 libpulse-dev,
 libssl-dev,
Standards-Version: 4.1.0
Section: libs
Homepage: https://github.com/grishka/libtgvoip
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libtgvoip.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libtgvoip.git

Package: libtgvoip-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtgvoip1.0 (= ${binary:Version}), ${misc:Depends}
Description: VoIP library for Telegram clients - developer files
 This package contains the multiplatform library for calls in Telegram.
 Telegram is a free cloud-based instant messaging service, it was established
 by Pavel Durov and his team in 2013.
 .
 This package provides headers files for development.

Package: libtgvoip1.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: VoIP library for Telegram clients
 This package contains the multiplatform library for calls in Telegram.
 Telegram is a free cloud-based instant messaging service, it was established
 by Pavel Durov and his team in 2013.
 .
 This package provides a shared library for clients.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
OUT = obj-$(DEB_HOST_GNU_TYPE)

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 BUILD_MODE = Release
else
 BUILD_MODE = Debug
endif

GYPFLAGS += \
	--format=cmake \
	--depth=. \
	--generator-output=. \
	-Gconfig=$(BUILD_MODE) \
	-Goutput_dir=$(OUT)

# specify SONAME version of libtgvoip
export SOVER = 1.0

# Workaround for non-Linux, see bugs.debian.org/799356
ifneq ($(DEB_HOST_ARCH_OS),linux)
 GYPFLAGS += --no-parallel
endif

%:
	dh $@ --sourcedirectory=$(OUT)/$(BUILD_MODE)

override_dh_auto_configure:
	gyp $(GYPFLAGS)
	dh_auto_configure

override_dh_auto_install:
	mkdir -p debian/libtgvoip$(SOVER)/usr/lib/$(DEB_HOST_MULTIARCH)
	ln $(OUT)/lib.target/lib*.so.* \
		debian/libtgvoip$(SOVER)/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/libtgvoip-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s libtgvoip.so.$(SOVER) \
		debian/libtgvoip-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libtgvoip.so
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean || dh_auto_clean --sourcedirectory=$(CURDIR)

# Upstream does not provide a tarball
get-orig-source:
	git clone --depth=1 https://github.com/grishka/libtgvoip
	tar --exclude-vcs -cJf ../libtgvoip_$(SOVER)~git$$(cd libtgvoip && \
		git log -1 --date="format:%Y%m%d" --format="%cd.%h").orig.tar.xz \
		libtgvoip
	rm -rf libtgvoip

## libtgvoip 1.0.3

=== debian/changelog ===
libtgvoip (1.0.3-3) unstable; urgency=medium

  * Disable SSE code to fix FTBFS on i386

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 28 Mar 2018 23:25:16 +0300

libtgvoip (1.0.3-2) unstable; urgency=medium

  * Clarify copyright notices about WebRTC code (closes: #892799)
  * Remove -msse2 compiler flag from build scripts (closes: #892823)
  * Hide private symbols in result binary
  * Refine debian/symbols file for 32-bit architectures (closes: #892824)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 26 Mar 2018 08:48:49 +0300

libtgvoip (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Move repository of the package to salsa.debian.org
  * Create debain/watch file for tracking upstream versions
  * Bump soname version because of new C++ destructors
  * Update standards version, no changes for this
  * Add d/symbols file
  * Update year in d/copyright

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 12 Mar 2018 09:15:50 +0300

=== debian/control ===
Source: libtgvoip
Priority: optional
Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
Build-Depends:
 cmake (>=2.8.8),
 debhelper (>=10),
 gyp,
 libasound2-dev,
 libopus-dev,
 libpulse-dev,
 libssl-dev,
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/grishka/libtgvoip
Vcs-Git: https://salsa.debian.org/debian/libtgvoip.git
Vcs-Browser: https://salsa.debian.org/debian/libtgvoip

Package: libtgvoip1.0.3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: VoIP library for Telegram clients
 This package contains the multiplatform library for calls in Telegram.
 Telegram is a free cloud-based instant messaging service, it was established
 by Pavel Durov and his team in 2013.
 .
 This package provides a shared library for clients.

Package: libtgvoip-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtgvoip1.0.3 (= ${binary:Version}), ${misc:Depends}
Description: VoIP library for Telegram clients - developer files
 This package contains the multiplatform library for calls in Telegram.
 Telegram is a free cloud-based instant messaging service, it was established
 by Pavel Durov and his team in 2013.
 .
 This package provides headers files for development.

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,14 @@
 	-Goutput_dir=$(OUT)
 
 # specify SONAME version of libtgvoip
-export SOVER = 1.0
+export SOVER = 1.0.3
 
 # Workaround for non-Linux, see bugs.debian.org/799356
 ifneq ($(DEB_HOST_ARCH_OS),linux)
  GYPFLAGS += --no-parallel
 endif
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--version-script="$(CURDIR)/debian/export-map.ld"
 
 %:
 	dh $@ --sourcedirectory=$(OUT)/$(BUILD_MODE)
@@ -43,11 +45,3 @@
 
 override_dh_auto_clean:
 	dh_auto_clean || dh_auto_clean --sourcedirectory=$(CURDIR)
-
-# Upstream does not provide a tarball
-get-orig-source:
-	git clone --depth=1 https://github.com/grishka/libtgvoip
-	tar --exclude-vcs -cJf ../libtgvoip_$(SOVER)~git$$(cd libtgvoip && \
-		git log -1 --date="format:%Y%m%d" --format="%cd.%h").orig.tar.xz \
-		libtgvoip
-	rm -rf libtgvoip

## libtgvoip 2.2.4

=== debian/changelog ===
libtgvoip (2.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 01 Oct 2018 09:10:30 +0300

libtgvoip (2.2.3+git20180828.31fe4af-1) unstable; urgency=medium

  * New upstream release along with latest fixes.
  * Drop Fix-build-on-FreeBSD-and-Hurd.patch as applied by upstream.
  * Bump standards version to 4.2.1, no related changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 31 Aug 2018 08:19:46 +0300

libtgvoip (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.1.5.
     - Add the Rules-Requires-Root field into the debian/control file.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 09 Jul 2018 20:38:35 +0300

libtgvoip (2.1-1) unstable; urgency=medium

  * New upstream release of static library.
    - There is no shared variant of the library because this C++ code is not
      intended to be used as .so file.
  * Bump debhelper version to 11, no changes for this.
  * Bump standards version to 4.1.4, no changes for this.
  * Refine the Built-Depends list.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 15 Jun 2018 10:33:22 +0300

=== debian/control ===
Source: libtgvoip
Priority: optional
Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
Build-Depends: debhelper (>=11)
Build-Depends-Arch:
 cmake (>=2.8.8),
 gyp,
 libasound2-dev,
 libopus-dev,
 libpulse-dev,
 libssl-dev,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Section: libs
Homepage: https://github.com/grishka/libtgvoip
Vcs-Git: https://salsa.debian.org/debian/libtgvoip.git
Vcs-Browser: https://salsa.debian.org/debian/libtgvoip

Package: libtgvoip-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: VoIP library for Telegram clients - developer files
 This package contains the multiplatform library for calls in Telegram.
 Telegram is a free cloud-based instant messaging service, it was established
 by Pavel Durov and his team in 2013.
 .
 This package provides headers files and static library for development.

## libtgvoip 2.4.2

=== debian/changelog ===
libtgvoip (2.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Update patches:
     - Reintroduce Disable-SSE2.patch to avoid SSE2 code on i386
     - Fix-WebRTC-for-non-Linux.patch allows building the package on
       kFreeBSD or GNU/Hurd system.
     - Pointer-to-ServerConfigImpl.patch hides implementation details of
       ServerConfig class.
     - Drop Port-WebRTC.patch as applied by upstream (partially).

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 29 Jan 2019 23:41:52 +0300

libtgvoip (2.4-2) unstable; urgency=medium

  * Fix porting issues (closes: #917315).
    - Add Port-WebRTC.patch instead Disable-SSE2-on-i386.patch.
  * Bump standards version to 4.3.0, no related changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 29 Dec 2018 23:39:41 +0300

libtgvoip (2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 19 Dec 2018 00:47:38 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libopus-dev,
  libpulse-dev,
  libssl-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/grishka/libtgvoip

## libtgvoip 2.4.4

=== debian/changelog ===
libtgvoip (2.4.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump debhelper compatibility level to 12, no related changes.
  * Bump Standards version to 4.4.0, no related changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 29 Jul 2019 18:59:00 +0300

libtgvoip (2.4.4-1) experimental; urgency=medium

  * New upstream release.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 01 Apr 2019 22:57:35 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: libtgvoip
 Priority: optional
+Section: libs
 Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: debhelper (>=11)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Arch:
- cmake (>=2.8.8),
+ cmake (>= 2.8.8),
  gyp,
  libasound2-dev,
  libopus-dev,
  libpulse-dev,
  libssl-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
-Section: libs
 Homepage: https://github.com/grishka/libtgvoip
 Vcs-Git: https://salsa.debian.org/debian/libtgvoip.git
 Vcs-Browser: https://salsa.debian.org/debian/libtgvoip

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
OUT = obj-$(DEB_HOST_GNU_TYPE)

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 BUILD_MODE = Release
else
 BUILD_MODE = Debug
endif

GYPFLAGS += \
	--format=cmake \
	--depth=. \
	--generator-output=. \
	-Gconfig=$(BUILD_MODE) \
	-Goutput_dir=$(OUT) \
	-Dlinux_path_opus_include=/usr/include/opus

# Workaround for non-Linux, see bugs.debian.org/799356
ifneq ($(DEB_HOST_ARCH_OS),linux)
 GYPFLAGS += --no-parallel
endif

%:
	dh $@ --sourcedirectory=$(OUT)/$(BUILD_MODE)

override_dh_auto_configure:
	gyp $(GYPFLAGS)
	dh_auto_configure

override_dh_auto_install:
	install -D $(OUT)/obj.target/libtgvoip.a \
		debian/libtgvoip-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libtgvoip.a
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean || dh_auto_clean --sourcedirectory=$(CURDIR)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/grishka/libtgvoip/releases/latest \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libtgvoip 2.4.4+git20210101.13a5fcb+ds

=== debian/changelog ===
libtgvoip (2.4.4+git20210101.13a5fcb+ds-2) unstable; urgency=medium

  * No change rebuild against libtgowt-dev (>= 0~git20210124.be23804).

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 07 Feb 2021 17:56:33 +0300

libtgvoip (2.4.4+git20210101.13a5fcb+ds-1) unstable; urgency=medium

  * Consider John Preston's fork as our upstream.
  * Update to the latest upstream commit.
  * Repack and skip the unused webrtc_dsp/ folder
  * Update patches:
    - Deleted that was taken from upstream Git:
      + Apply-soversion.patch
      + Single-header.patch
      + Support-pkgconfig.patch
    - Deleted because of exclusion of webrtc_dsp/ folder:
      + Disable-SSE2.patch
      + Fix-WebRTC-for-non-Linux.patch
    - Add new Build-scripts.patch with CMake configuration.
    - Refresh existing and still not applied Pointer-to-ServerConfigImpl.patch.
      It does not touch anymore the unused configure.ac file.
  * Update package build scripts for CMake configuration.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 30 Jan 2021 10:20:01 +0300

libtgvoip (2.4.4-4) unstable; urgency=medium

  * Update Fix-WebRTC-for-non-Linux.patch for automake build.
    - Should fix build on GNU/Hurd and probably fix build on kFreeBSD.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 25 Jul 2020 10:59:38 +0300

libtgvoip (2.4.4-3) unstable; urgency=medium

  * Switch to autotools build system.
  * Bump Debhelper compat level to 13 and Standards-Version to 4.5.0.
    - No related changes.
  * Patches:
    - Add Apply-soversion.patch
    - Add Single-header.patch
    - Add Support-pkgconfig.patch
  * Link to "tgvoip" folder for backward compatibility.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 09 Jul 2020 15:29:40 +0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Priority: optional
 Section: libs
 Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch:
- cmake (>= 2.8.8),
- gyp,
+ cmake,
  libasound2-dev,
  libopus-dev,
  libpulse-dev,
  libssl-dev,
-Standards-Version: 4.4.0
+ libtgowt-dev,
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/grishka/libtgvoip
 Vcs-Git: https://salsa.debian.org/debian/libtgvoip.git
@@ -20,7 +20,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: libopus-dev, libssl-dev, libtgowt-dev, ${misc:Depends}
 Description: VoIP library for Telegram clients - developer files
  This package contains the multiplatform library for calls in Telegram.
  Telegram is a free cloud-based instant messaging service, it was established

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -S cmake

# Skip autotools specific code generating.
override_dh_autoreconf override_dh_autoreconf_clean:

=== debian/watch ===
version=4
opts="mode=git, pretty=2.4.4+git%cd.%h, repacksuffix=+ds, dversionmangle=s/\+ds$//" \
  https://github.com/telegramdesktop/libtgvoip heads/tdesktop

## libtgvoip 2.4.4+git20210101.13a5fcb+ds-2+10.0trisquel1

=== debian/changelog ===
libtgvoip (2.4.4+git20210101.13a5fcb+ds-2+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from debian stable as telegram-desktop dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Aug 2021 14:48:53 +0000

## libtgvoip 2.4.4+git20210101.13a5fcb+ds-2+10.0trisquel3

=== debian/changelog ===
libtgvoip (2.4.4+git20210101.13a5fcb+ds-2+10.0trisquel3) nabia-backports; urgency=medium

  * Backported from debian buster-backports as telegram-desktop
    dependency

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 05 Dec 2023 22:17:28 +0000

libtgvoip (2.4.4+git20210101.13a5fcb+ds-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Merge from Debian sid.
  * Refine minimal CMake version in the debian/control file.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 08 Mar 2021 10:23:51 +0300

libtgvoip (2.4.4-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Merge from Debian sid.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 09 Sep 2020 09:33:08 +0300

libtgvoip (2.4.4-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 11 Oct 2019 14:29:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libtgvoip
 Priority: optional
 Section: libs
-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch:
- cmake,
+ cmake (>= 3.16),
  libasound2-dev,
  libopus-dev,
  libpulse-dev,
